package com.chenyang.nse.bussiness.entity.vo.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;

public class TCoreKeyTypeManagementVO extends TInitEntity {
   private String id;
   private String typename;
   private String typeid;
   private String isuse;

   public String getId() {
      return this.id;
   }

   public String getTypename() {
      return this.typename;
   }

   public String getTypeid() {
      return this.typeid;
   }

   public String getIsuse() {
      return this.isuse;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setTypename(final String typename) {
      this.typename = typename;
   }

   public void setTypeid(final String typeid) {
      this.typeid = typeid;
   }

   public void setIsuse(final String isuse) {
      this.isuse = isuse;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyTypeManagementVO)) {
         return false;
      } else {
         TCoreKeyTypeManagementVO other = (TCoreKeyTypeManagementVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$typename = this.getTypename();
            Object other$typename = other.getTypename();
            if (this$typename == null) {
               if (other$typename != null) {
                  return false;
               }
            } else if (!this$typename.equals(other$typename)) {
               return false;
            }

            Object this$typeid = this.getTypeid();
            Object other$typeid = other.getTypeid();
            if (this$typeid == null) {
               if (other$typeid != null) {
                  return false;
               }
            } else if (!this$typeid.equals(other$typeid)) {
               return false;
            }

            Object this$isuse = this.getIsuse();
            Object other$isuse = other.getIsuse();
            if (this$isuse == null) {
               if (other$isuse != null) {
                  return false;
               }
            } else if (!this$isuse.equals(other$isuse)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyTypeManagementVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $typename = this.getTypename();
      result = result * 59 + ($typename == null ? 43 : $typename.hashCode());
      Object $typeid = this.getTypeid();
      result = result * 59 + ($typeid == null ? 43 : $typeid.hashCode());
      Object $isuse = this.getIsuse();
      result = result * 59 + ($isuse == null ? 43 : $isuse.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyTypeManagementVO(id=" + this.getId() + ", typename=" + this.getTypename() + ", typeid=" + this.getTypeid() + ", isuse=" + this.getIsuse() + ")";
   }
}
